include::attributes.adoc[]
:stylesheet: ws.css
:linkcss:
:copycss: {css_dir}/{stylesheet}

= Wireshark {wireshark-version} Release Notes
// Asciidoctor Syntax Quick Reference:
// https://asciidoctor.org/docs/asciidoc-syntax-quick-reference/

== What is Wireshark?

Wireshark is the world’s most popular network protocol analyzer.
It is used for troubleshooting, analysis, development and education.

Wireshark is hosted by the Wireshark Foundation, a nonprofit which promotes protocol analysis education.
Wireshark and the foundation depend on your contributions in order to do their work!
If you or your organization would like to contribute or become a sponsor, please visit https://wiresharkfoundation.org[wiresharkfoundation.org].

If you use Wireshark professionally or you just want to learn more about protocol analysis, you should join us at https://sharkfest.wireshark.org/[SharkFest], the Wireshark developer and user conference.

You can also become a Wireshark Certified Analyst! Official Wireshark training and certification are available from
https://www.wireshark.org/certifications[the Wireshark Foundation].

== What’s New

=== Bug Fixes

The following vulnerabilities have been fixed:

* wssalink:2026-64[]
sharkd crash.
wsbuglink:21395[].
// cveidlink:2026-xxx[].
// Fixed in master: 178939f126
// Fixed in release-4.6: 51d0eea79f
// Fixed in release-4.4: 5b56712fb9
// CVSS AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:L
// CWE-825
// Credit: Claude and Ada Logics

* wssalink:2026-65[]
sharkd crash.
wsbuglink:21399[].
// cveidlink:2026-xxx[].
// Fixed in master: d43d89d201
// Fixed in release-4.6: c40bdd55da
// Fixed in release-4.4: 560ec98247
// CVSS AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:L
// CWE-825
// Credit: Claude and Ada Logics

* wssalink:2026-66[] {notable}
UMTS FP protocol dissector crash.
wsbuglink:21413[].
// cveidlink:2026-xxx[].
// Fixed in master: 5c5d3d5381
// Fixed in release-4.6: 67b2d8b865
// Fixed in release-4.4: f95f229f4e
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-122
// Credit: Jaime Cavero

* wssalink:2026-67[] {notable}
RDP protocol dissector crash.
wsbuglink:21396[].
// cveidlink:2026-xxx[].
// Fixed in master: d50d557d84
// Fixed in release-4.6: 26edba6065
// Fixed in release-4.4: d28eaacbad
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-122
// Credit: Claude and Ada Logics

* wssalink:2026-69[] {notable}
Dissection engine reassembly crash.
wsbuglink:21423[].
// cveidlink:2026-xxx[].
// Fixed in master: 9f68da57d3
// Fixed in release-4.6: 1df97a20fb
// Fixed in release-4.4: c1378c3314
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-122
// Credit: Daniel Birtwhistle

* wssalink:2026-70[] {notable}
BUSMASTER file parser abnormal exit.
wsbuglink:21435[].
// cveidlink:2026-xxx[].
// Fixed in master: 8e984f1f83
// Fixed in release-4.6: 6aba0a890f
// Fixed in release-4.4: 32c63e1b62
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-703
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-71[] {notable}
Tektronix K12xx file parser crash.
wsbuglink:21414[].
// cveidlink:2026-xxx[].
// Fixed in master: c517aedc99
// Fixed in release-4.6: 349750c199a
// Fixed in release-4.4: 6f812cbb50
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-126
// Credit: Jaime Cavero

* wssalink:2026-72[] {notable}
ERF file parser crash.
wsbuglink:21415[].
// cveidlink:2026-xxx[].
// Fixed in master: 4e030d2b17
// Fixed in release-4.6: b8a7c24b534
// Fixed in release-4.4: 82c0b871be
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-126
// Credit: Jaime Cavero

* wssalink:2026-73[] {notable}
Bluetooth Attribute Protocol dissector crash.
wsbuglink:21424[].
// cveidlink:2026-xxx[].
// Fixed in master: 6e2dfd4f0b
// Fixed in release-4.6: dec594457c7
// Fixed in release-4.4: 40ab60fce7
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-125
// Credit: Yazan Balawneh - CyStack Security Team

* wssalink:2026-74[] {notable}
Catapult DCT2000 file parser crash.
wsbuglink:21427[].
// cveidlink:2026-xxx[].
// Fixed in master: 46c813e7ad
// Fixed in release-4.6: c91e5e16339
// Fixed in release-4.4: f8edcd3db2
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-122
// Credit: Yazan Balawneh - CyStack Security Team

* wssalink:2026-75[] {notable}
C12.22 protocol dissector crash.
wsbuglink:21439[].
// cveidlink:2026-xxx[].
// Fixed in master: 360bdc60fe
// Fixed in release-4.6: 2a7ea46648f
// Fixed in release-4.4: d53b33eabd
// CVSS AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
// CWE-122
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-76[] {notable}
CMS protocol dissector crash.
wsbuglink:21446[].
// cveidlink:2026-xxx[].
// Fixed in master: ​​02dd1e7af0
// Fixed in release-4.6: ​​fdcae73419f
// Fixed in release-4.4: 920cb47359
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-476
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-77[] {notable}
H.245 protocol dissector {crash,infinite loop,memory leak}.
wsbuglink:21447[].
// cveidlink:2026-xxx[].
// Fixed in master: 86df5f3b40
// Fixed in release-4.6: 73467571b0e
// Fixed in release-4.4: de13f9ff4c
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-476
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-78[] {notable}
Kerberos protocol dissector crash.
wsbuglink:21449[].
// cveidlink:2026-xxx[].
// Fixed in master: 78d67418e8
// Fixed in release-4.6: 848f415af2b
// Fixed in release-4.4: a1d6efed38
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-125
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-79[] {notable}
Bluetooth HFP Profile protocol dissector crash.
wsbuglink:21451[].
// cveidlink:2026-xxx[].
// Fixed in master: fc4171f4dd
// Fixed in release-4.6: 068d179d5f6
// Fixed in release-4.4: a1cc189664
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-125
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-80[] {notable}
Bluetooth BR/EDR FHS protocol dissector crash.
wsbuglink:21452[].
// cveidlink:2026-xxx[].
// Fixed in master: 0e191266dd
// Fixed in release-4.6: 907c6ab2200
// Fixed in release-4.4: 5520cc92a8
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-476
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-81[] {notable}
3gpp phone log file parser crash.
wsbuglink:21454[].
// cveidlink:2026-xxx[].
// Fixed in master: c5f900e922
// Fixed in release-4.6: f41e4d1ecfa
// Fixed in release-4.4: 5119ed263f
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-787
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-83[] {notable}
CMS protocol dissector crash.
wsbuglink:21457[], wsbuglink:21458[].
// cveidlink:2026-xxx[].
// Fixed in master: 70b341567a
// Fixed in release-4.6: e6320512dc3
// Fixed in release-4.4: da9204174b
// CVSS AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-416
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-84[] {notable}
Pcapng file parser crash.
wsbuglink:21460[].
// cveidlink:2026-xxx[].
// Fixed in master: c72babdb03
// Fixed in release-4.6: 8a3cbd7b91f
// Fixed in release-4.4: 930f2f39c4
// CVSS AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-125
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-85[] {notable}
SSH protocol dissector crash.
wsbuglink:21465[].
// cveidlink:2026-xxx[].
// Fixed in master: 3f38ce6c37
// Fixed in release-4.6: ccd12dd4920
// Fixed in release-4.4: 04dc6b2af4
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-122
// Credit: BreachX Zero Day Labs

* wssalink:2026-86[] {notable}
ESS protocol dissector crash.
wsbuglink:21467[].
// cveidlink:2026-xxx[].
// Fixed in master: affa11c625
// Fixed in release-4.6: d77dcfd071a
// Fixed in release-4.4: ed1294055c
// CVSS AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
// CWE-457
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-87[] {notable}
X.509IF protocol dissector crash.
wsbuglink:21469[].
cveidlink:2026-xxx[].
// Fixed in master: 340b45bcb2
// Fixed in release-4.6: 179c1d24c03
// Fixed in release-4.4: ff9f1bc138
// CVSS AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
// CWE-476
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-88[] {notable}
RRC protocol dissector crash.
wsbuglink:21478[].
// cveidlink:2026-xxx[].
// Fixed in master: a44c8dc01c
// Fixed in release-4.6: a29767a9e89
// Fixed in release-4.4: 32ecb4ce4e
// CVSS AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
// CWE-787
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-89[] {notable}
C12.22 protocol dissector crash.
wsbuglink:21480[].
// cveidlink:2026-xxx[].
// Fixed in master: 94a0319ec2
// Fixed in release-4.6: 71528302b11
// Fixed in release-4.4: a7c97b297d
// CVSS AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
// CWE-121
// Credit: Aisle Research (Dmitrijs Trizna, Luigino Camastra, Ze Sheng (O2Lab & TAMU), Igor Morgenstern)

* wssalink:2026-91[] {notable}
Bluetooth AVRCP Profile protocol dissector crash.
wsbuglink:21488[].
// cveidlink:2026-xxx[].
// Fixed in master: 1b59980832
// Fixed in release-4.6: b302764efd2
// Fixed in release-4.4: 539e5ba4c6
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-122
// Credit: Feng Xue


// * wssalink:2026-92[] {notable}
// Foo dissector {crash,infinite loop,memory leak}.
// wsbuglink:xxx[].
// cveidlink:2026-xxx[].
// Fixed in master: xxx
// Fixed in release-4.6: xxx
// Fixed in release-4.4: xxx
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
// CWE-824

The following bugs have been fixed:

//* wsbuglink:5000[]
//* wsbuglink:6000[Wireshark bug]
//* cveidlink:2014-2486[]
//* Wireshark took a bite out of each of your freshly baked muffins until it found the perfect one. {notable}

* Wireshark Version 4.6.6 - File Capture Properties is excessively slow and hangs Wireshark on Windows. wsbuglink:21337[].
* Wireshark misdecodes S-NSSAI location validity information IE (5G NAS) wsbuglink:21411[].
* Wireshark misdecodes NSAG information IE (5G NAS) wsbuglink:21412[].
* Fuzz job UTF-8 encoding issue: fuzz-2026-07-17-15393056954.pcap. wsbuglink:21419[].
* Wireshark misdecodes UE security capability IE (5G NAS) wsbuglink:21431[].
* Wireshark misdecodes Registration wait range IE (5G NAS) wsbuglink:21432[].
* Wireshark misdecodes Extended CAG information IE (5G NAS) wsbuglink:21433[].
* Stack buffer overflow in K12/RF5 writer. wsbuglink:21436[].
* packet-knxip: Secure Wrapper size-offset causes NULL deref / SEGV when decrypting. wsbuglink:21444[].
* wiretap/rtpdump: swapped caplen/len on truncated samples. wsbuglink:21445[].
* Sniffer REC_HEADER2 error path over-reads stack buffer. wsbuglink:21461[].
* Deep NetLog JSON nesting exhausts the native stack. wsbuglink:21462[].
* androiddump signed btsnoop length causes global out-of-bounds read. wsbuglink:21464[].
* Wireshark misdecodes SOR transparent container IE (5G NAS) wsbuglink:21472[].
* Unbounded Daintree timestamp fraction causes signed integer overflow. wsbuglink:21473[].
* Wireshark misdecodes SOR-CMCI of SOR transparent container IE (5G NAS) wsbuglink:21477[].
* Wireshark misdecodes Service level AA container (5GSM NAS) wsbuglink:21479[].

// == Known Bugs

=== New and Updated Features

// * The Windows installers now ship with Qt 6.7.3.
//   They previously shipped with Qt 6.5.3.

// === Removed Features and Support

// === Removed Dissectors

=== New Protocol Support

There are no new protocols in this release.

=== Updated Protocol Support

// Add one protocol per line between the -- delimiters.
// rg -A1 '(define PSNAME|proto_register_protocol[^_])' $(git diff --name-only v4.4.18.. | rg packet- | sort -u)
[commaize]
--
BT ATT
BT AVRCP
BT BR/EDR RF
BT HFP
C12.22
CMS
ESS
FP
H.245
Kerberos
Rlogin
SSH
X.509AF
X.509IF
--

=== New and Updated Capture File Support

// There is no new or updated capture file support in this release.
// Add one file type per line between the -- delimiters.
[commaize]
--
3gpp phone log
Busmaster
Catapult DCT2000
Daintree SNA
Endace ERF
pcapng
RTPDump
Sniffer
Tektronix K12xx
--

=== New and Updated File Format Decoding Support

There is no updated file format support in this release.
// Add one file type per line between the -- delimiters.
// [commaize]
// --
// --

// === New and Updated Capture Interfaces support

// === New and Updated Codec support

// === Major API Changes

== Prior Versions

Wireshark 4.4.17 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.17.html[release notes]
for details:

* wssalink:2026-52[] {notable}
Catapult DCT2000 protocol dissector crash.
wsbuglink:21270[].

* wssalink:2026-54[] {notable}
FMP/NOTIFY protocol dissector large loop.
wsbuglink:21347[].

* wssalink:2026-55[] {notable}
SSH protocol dissector crash.
wsbuglink:21378[].

* wssalink:2026-57[] {notable}
IEEE 802.11 protocol dissector crash.
wsbuglink:21391[].

* wssalink:2026-58[] {notable}
Z39.50 protocol dissector crash.
wsbuglink:21397[].

* wssalink:2026-59[] {notable}
UMTS FP protocol dissector crash.
wsbuglink:21398[].

* wssalink:2026-60[] {notable}
BLF file parser information disclosure.
wsbuglink:21361[].

* wssalink:2026-61[] {notable}
Multiple protocol dissector infinite loops.
wsbuglink:21275[],
wsbuglink:21277[],
wsbuglink:21330[],
wsbuglink:21383[].

* wssalink:2026-62[] {notable}
DBS Etherwatch file parser crash.
wsbuglink:21352[].

* wssalink:2026-63[] {notable}
Ciscodump extcap crash.
wsbuglink:21375[].

* Build failure with Qt 6.11 beta. wsbuglink:20965[].
* BACapp: Error parsing you-are request. wsbuglink:21260[].
* Fuzz job issue: fuzz-2026-05-24-14517548985.pcap. wsbuglink:21272[].
* Fuzz job UTF-8 encoding issue: fuzz-2026-06-07-14732586286.pcap. wsbuglink:21331[].
* Memory leak in alp-sample1.pcap. wsbuglink:21343[].
* Heap-Buffer-Overflow in Wireshark Logcat Parser. wsbuglink:21346[].
* HEVC (H.265) dissector: bit_offset not advanced after sub_layer_hrd_parameters() causes false Malformed Packet. wsbuglink:21362[].
* dfilter_compile_full: heap-buffer-overflow READ in ws_strptime on a time literal. wsbuglink:21376[].
* Wireshark crashes with a HEAP_CORRUPTION error when using the last saved recent_common file. wsbuglink:21379[].
* Fuzz job issue: fuzz-2026-06-30-15106674620.pcap. wsbuglink:21381[].

Wireshark 4.4.16 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.16.html[release notes]
for details:

* vwr: Read of uninitialized memory in pntoh16. wsbuglink:16460[].
* vwr: Read of uninitialized memory in find_signature. wsbuglink:16461[].
* Fuzz job issue: fuzz-2026-05-02-14184750352.pcap. wsbuglink:21240[].
* ROHC NULL Write / Heap Corruption with uncompressed profile and large CID. wsbuglink:21243[].
* Fuzz job crash: fuzz-2026-05-18-14414274873.pcap. wsbuglink:21261[].

Wireshark 4.4.15 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.15.html[release notes]
for details:

* wssalink:2026-08[]
Monero dissector crash.
wsbuglink:21066[].
cveidlink:2026-5409[].

* wssalink:2026-09[]
BT-DHT dissector crash.
wsbuglink:21067[].
cveidlink:2026-5408[].

* wssalink:2026-10[]
FC-SWILS dissector crash.
wsbuglink:21070[].
cveidlink:2026-5406[].

* wssalink:2026-11[]
SMB2 dissector infinite loop.
wsbuglink:21073[].
cveidlink:2026-5407[].

* wssalink:2026-12[]
ICMPv6 dissector crash.
wsbuglink:21077[].
cveidlink:2026-5299[].

* wssalink:2026-13[]
AFP dissector crash.
wsbuglink:21088[].
cveidlink:2026-5401[].

* wssalink:2026-15[]
K12 RF5 file parser crash.
wsbuglink:21094[].
cveidlink:2026-5404[].

* wssalink:2026-16[]
SBC codec crash and possible code execution.
wsbuglink:21103[].
cveidlink:2026-5403[].

* wssalink:2026-17[]
RDP dissector crash and possible code execution.
wsbuglink:21105[].
cveidlink:2026-5405[].

* wssalink:2026-18[]
AMR-NB codec crash.
wsbuglink:21111[].
cveidlink:2026-5654[].

* wssalink:2026-20[]
iLBC audio codec crash.
wsbuglink:21113[].
cveidlink:2026-5657[].

* wssalink:2026-21[]
Profile import crash and possible code execution.
wsbuglink:21115[].
cveidlink:2026-5656[].

* wssalink:2026-22[]
DCP-ETSI protocol dissector crash.
wsbuglink:21122[].
cveidlink:2026-5653[].

* wssalink:2026-23[]
BEEP protocol dissector crash.
wsbuglink:21120[].
cveidlink:2026-6538[].

* wssalink:2026-24[]
ZigBee protocol dissector crash.
wsbuglink:21125[].
cveidlink:2026-6537[].

* wssalink:2026-26[]
Dissection engine zlib decompression crash.
wsbuglink:21097[], wsbuglink:21098[].
cveidlink:2026-6535[].

* wssalink:2026-27[]
USB HID protocol dissector infinite loop.
wsbuglink:21121[].
cveidlink:2026-6534[].

* wssalink:2026-28[]
Dissection engine LZ77 decompression crash.
wsbuglink:21127[].
cveidlink:2026-6533[].

* wssalink:2026-29[]
Kismet protocol dissector crash.
wsbuglink:21129[], wsbuglink:21128[].
cveidlink:2026-6532[].

* wssalink:2026-30[]
SANE protocol dissector infinite loop.
wsbuglink:21139[].
cveidlink:2026-6531[].

* wssalink:2026-31[]
DCP-ETSI protocol dissector crash.
wsbuglink:21144[].
cveidlink:2026-6530[].

* wssalink:2026-32[]
iLBC audio codec crash.
wsbuglink:21145[].
cveidlink:2026-6529[].

* wssalink:2026-34[]
ASN.1 PER protocol dissector crash.
wsbuglink:21149[].
cveidlink:2026-6527[].

* wssalink:2026-37[]
MySQL protocol dissector crash.
wsbuglink:21172[].
cveidlink:2026-6524[].

* wssalink:2026-38[]
GNW protocol dissector infinite loop.
wsbuglink:21177[].
cveidlink:2026-6523[].

* wssalink:2026-39[]
OpenFlow v5 protocol dissector infinite loops.
wsbuglink:21182[], wsbuglink:21188[].
cveidlink:2026-6521[].

* wssalink:2026-40[]
OpenFlow v6 protocol dissector infinite loop.
wsbuglink:21181[].
cveidlink:2026-6520[].

* wssalink:2026-41[]
MBIM dissector infinite loop.
wsbuglink:21184[].
cveidlink:2026-6519[].

* wssalink:2026-42[]
RPKI-Router protocol dissector infinite loop.
wsbuglink:21186[].
cveidlink:2026-6522[].

* wssalink:2026-43[]
GSM RP protocol dissector crash.
wsbuglink:21189[].
cveidlink:2026-6870[].

* wssalink:2026-44[]
WebSocket protocol dissector crash.
wsbuglink:21190[].
cveidlink:2026-6869[].

* wssalink:2026-45[]
SMB2 protocol dissector crash.
wsbuglink:21191[].

* wssalink:2026-46[]
HTTP protocol dissector crash.
wsbuglink:21185[].
cveidlink:2026-6868[].

* wssalink:2026-47[]
Sharkd utility memory leak.
wsbuglink:21214[].

* wssalink:2026-48[]
Sharkd utility crash.
wsbuglink:21206[].

* wssalink:2026-49[]
Sharkd utility crash.
wsbuglink:21207[].

* wssalink:2026-50[]
UDS protocol dissector infinite loop.
wsbuglink:21225[].

* Over large memory usage when uncompressing high compression ratio http payload. wsbuglink:13779[].
* WSUG: Enabled Protocols dialog needs an update. wsbuglink:20871[].
* SMB2 decryption keys in smb2_seskey_list are not loaded on restart. wsbuglink:21036[].
* Fuzz job issue: fuzz-2026-03-01-13307044520.pcap. wsbuglink:21049[].
* Window with a message for ssh_strict_fopen. wsbuglink:21051[].
* Fuzz job crash: fuzz-2026-03-25-13637733472.pcap. wsbuglink:21117[].
* dumpcap TCP@ section-header parsing remote heap corruption. wsbuglink:21132[].
* On Windows, the Follow Stream feature output is shown in proportional font after zooming. wsbuglink:21137[].
* RTP Streams dialog Time of Day inconsistent behavior. wsbuglink:21138[].
* RF4CE NWK Dissector Heap Buffer Overflow (crash/OOB) wsbuglink:21150[].
* NetXray/Sniffer Padding Integer Underflow. wsbuglink:21152[].
* HTTP/2 ALTSVC/PRIORITY_UPDATE Frame Length Truncation (24-bit to 16-bit) wsbuglink:21155[].
* Snort config parser 2 buffer overflows. wsbuglink:21165[].
* ESP NULL Encryption Integer Underflow triggers Heap Overflow. wsbuglink:21166[].
* Heap buffer overflow in ISO 8583 dissector bin2hex() wsbuglink:21171[].
* wslua: NULL pointer dereference in get_dissector when passing an invalid GUID string to an FT_GUID table. wsbuglink:21194[].
* Fuzz job UTF-8 encoding issue: fuzz-2026-04-16-13947406035.pcap. wsbuglink:21199[].
* Qt: Waterfall bars misisng in conversation overview when "limit to display filter" is active. wsbuglink:21204[].
* text2pcap: heap-buffer-overflow in memmove when -P"dissector" payload exceeds reserved space. wsbuglink:21208[].
* text2pcap : Stack overflow via unbounded "g_alloca" in regex "seqno" wsbuglink:21209[].
* editcap: --novlan integer underflow in sll_remove_vlan_info causes denial of service on short SLL captures. wsbuglink:21210[].
* NAS-5GS - Mapping issue between IEI 0x7B and "S-NSSAI location validity information" IE. wsbuglink:21218[].
* RTP-MIDI dissector reports incorrect value for MTC Quarter Frame data. wsbuglink:21231[].


Wireshark 4.4.14 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.14.html[release notes]
for details:

* wssalink:2026-05[]
USB HID dissector memory exhaustion.
wsbuglink:20972[].
cveidlink:2026-3201[].

* wssalink:2026-07[]
RF4CE Profile dissector crash.
wsbuglink:21009[].
cveidlink:2026-3203[].

* Bug in decoding 5G NAS message - Extended CAG information list IE. wsbuglink:20946[].
* PQC signature algorithm not reported in signature_algorithms. wsbuglink:20953[].
* Unexpected JA4 ALPN values when space characters sent. wsbuglink:20966[].
* Expert Info seems to have quadratic performance (gets slower and slower) wsbuglink:20970[].
* USB-HID: Resource exhaustion in parse_report_descriptor() due to missing array size limit. wsbuglink:20972[].
* Fuzz job crash: fuzz-2026-02-01-12944805400.pcap [Zigbee Direct Tunneling Zigbee NWK PDUs NULL hash table] wsbuglink:20977[].
* RDM status in Output Status (GoodOutputB) field incorrectly decoded in Art-Net PollReply dissector. wsbuglink:20980[].
* TDS dissector desynchronizes on RPC DATENTYPE (0x28) due to incorrect expectation of TYPE_VARLEN (MaxLen) wsbuglink:21001[].
* Only first HTTP POST is parsed inside SOCKS with "Decode As" wsbuglink:21006[].
* Fuzz job crash: fuzz-2026-02-06-13021968622.pcap. wsbuglink:21009[].
* New Diameter RAT-Types in TS 29.212 not decoded. wsbuglink:21012[].

Wireshark 4.4.13 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.13.html[release notes]
for details:

* wssalink:2026-01[]
BLF file parser crash.
wsbuglink:20880[].
// cveidlink:2026-xxx[].
// Fixed in master: 516ba22c34
// Fixed in release-4.6: 4d879508dc
// Fixed in release-4.4: c99f118869
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
// CWE-787
// * Out-of-bounds heap write in blf_pull_logcontainer_into_memory. wsbuglink:20880[].

* wssalink:2026-02[]
IEEE 802.11 dissector crash.
wsbuglink:20939[].
// cveidlink:2026-xxx[].
// Fixed in master: 4b48ee36f1
// Fixed in release-4.2: e3ea9fb6e7
// Fixed in release-4.0: 5bfd4035f5
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
// CWE-787
// * OSS-Fuzz 474458885: Stack-buffer-overflow in dissect_multi_link. wsbuglink:20939[].

* wssalink:2026-03[]
SOME/IP-SD dissector crash.
wsbuglink:20945[].
// cveidlink:2026-xxx[].
// Fixed in master: xxx
// Fixed in release-4.6: xxx
// Fixed in release-4.4: xxx
// CVSS AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
// CWE-787
// * SOME/IP-SD buffer overflow. wsbuglink:20945[].

Wireshark 4.4.12 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.12.html[release notes]
for details:

* wssalink:2025-07[]
HTTP3 dissector crash.
wsbuglink:20860[].
cveidlink:2025-13945[].

* wssalink:2025-08[]
MEGACO dissector infinite loop.
wsbuglink:20884[].
cveidlink:2025-13945[].

* ws_base32_decode should be named *_encode ? wsbuglink:20754[].
* Stack buffer overflow in wiretap/ber.c (ber_open) wsbuglink:20878[].
* Fuzz job crash: fuzz-2025-11-30-12266121180.pcap. wsbuglink:20883[].
* Missing data in pinfo->cinfo in HomePlug message CM_ATTEN_CHAR.IND. wsbuglink:20893[].

Wireshark 4.4.11 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.11.html[release notes]
for details:

* wssalink:2025-06[] Kafka dissector crash. wsbuglink:20823[].

* L2CAP dissector doesn't understand retransmission mode. wsbuglink:2241[].
* DNS HIP dissector labels PK algorithm as HIT length. wsbuglink:20768[].
* TLS Abbreviated Handshake Using New Session Ticket. wsbuglink:20802[].
* Apply As Filter for field with FT_NONE and BASE_NONE for a single byte does not use the hex value. wsbuglink:20818[].
* TCP dissector creates invalid packet diagram. wsbuglink:20820[].
* Support UTF-16 strings in the IsoBus dissector for the string operations. wsbuglink:20845[].
* Fuzz job issue: fuzz-2025-11-12-12064814316.pcap. wsbuglink:20852[].

Wireshark 4.4.10 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.10.html[release notes]
for details:

* Using wslog parameters in command line applications leads to freeing invalid memory. wsbuglink:20500[].
* On macOS a lower resolution Wireshark icon is displayed in the App Switcher and Launchpad. sbuglink:20544[].
// misdissection, but no crash.
* Fuzz job crash: fuzz-2025-08-06-10932469456.pcap. wsbuglink:20666[].
* Encoding on NAS5GS- NASDL Transport Message-Multiple Container contains inconsistencies. wsbuglink:20679].
* Bad resolver in Delegated Credential (RFC 9345) of TLS 1.3 CertificateRequest message. wsbuglink:20728].
* Fuzz job UTF-8 encoding issue: fuzz-2025-10-03-11586692659.pcap. wsbuglink:20744[].

Wireshark 4.4.9 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.9.html[release notes]
for details:

* RDM Product Detail List ID Disect incorrect. wsbuglink:20612[].
* SCCP LUDT segmentation decoding fails. wsbuglink:20647[].
* Ciscodump fails to start capture on Cisco IOS. wsbuglink:20655[].
* [BACnet] WritePropertyMultiple closing context tag 1 not showing. wsbuglink:20665[].
* Bug in LZ77 decoder; reads a 16-bit length when it should read a 32-bit length. wsbuglink:20671[].

Wireshark 4.4.8 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.8.html[release notes]
for details:

* Renegotiated DTLS session is not being decrypted. wsbuglink:20362[].
* Wireshark is completely stuck in initialization because androiddump recv() is blocked. wsbuglink:20526[].
* Fuzz job UTF-8 encoding issue: fuzz-2025-06-20-7318.pcap. wsbuglink:20585[].
* Crash when showing packet in new window after reloading Lua plugins with a certain gui.column.format preference. wsbuglink:20588[].
* Bug in UDS dissector with Service ReadDataByPeriodicIdentifier Response. wsbuglink:20589[].
* Packet diagram doesn't show non-standard field value representations. wsbuglink:20590[].
* Packet diagram shows representation twice when field type is FT_NONE. wsbuglink:20601[].
* application/x-www-form-urlencoded key parsed incorrectly following a name-value byte sequence with no '=' wsbuglink:20615[].
* DNP3 time stamp was unable to work after epoch time(year 2038) wsbuglink:20618[].

Wireshark 4.4.7 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.7.html[release notes]
for details:

* wssalink:2025-02[]
Dissection engine crash.
wsbuglink:20509[].
cveidlink:2025-5601[].

* Wireshark does not correctly decode LIN "go to sleep" in TECMP and CMP. wsbuglink:20463[].
* Dissector bug, Protocol CIGI. wsbuglink:20496[].
* Green power packets are not dissected when proto_version == ZBEE_VERSION_GREEN_POWER. wsbuglink:20497[].
* Packet diagrams misalign or drop bitfields. wsbuglink:20507[].
* Corruption when setting heuristic dissector table UI name from Lua. wsbuglink:20523[].
* LDAP dissector incorrectly displays filters with singleton "&" wsbuglink:20527[].
* WebSocket per-message compression extentions: fail to decompress server messages (from the 2nd) due to parameter handling. wsbuglink:20531[].
* The LL_PERIODIC_SYNC_WR_IND packet is not properly dissected (packet-btle.c) wsbuglink:20554[].

Wireshark 4.4.6 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.6.html[release notes]
for details:

* Bug in EtherCAT dissector with ECS order. wsbuglink:13718[].
* Conversation dialog columns return to default width on each new packet in live capture. wsbuglink:15978[].
* Tests fail in LTO-enabled builds in Ubuntu/Debian. wsbuglink:18216[].
* Incorrect conditions in BFCP dissector. wsbuglink:18717[].
* Static build fails on Ubuntu 24.04 because the c-ares library isn't found. wsbuglink:20343[].
* Flutter's Image Picker Generated JPEG Files Detected as Malformed Packet. wsbuglink:20355[].
* QUIC dissector breaks when src and dst change. wsbuglink:20371[].
* s390x: build fail on Ubuntu PPA nighty build. wsbuglink:20372[].
* Trailing octet after IPv4 packet end is not detected or displayed in raw bytes. wsbuglink:20423[].
* [packet-ax25-nol3.c] Only call APRS dissector on UI Frames. wsbuglink:20429[].
* Wireshark hangs when refreshing interfaces with the debug console preference set to "always" and a file open (Windows) wsbuglink:20434[].
* BGP EVPN - Type-8 route not correctly read after addition of Max. Response Time field. wsbuglink:20459[].
* Wireshark does not correctly decode LIN "go to sleep" in TECMP and CMP. wsbuglink:20463[].
* MQTT-SN: WILLTOPIC message not decoded correctly (missing some flags) wsbuglink:20476[].

Wireshark 4.4.5 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.5.html[release notes]
for details:

* GRPC: protobuf_json only displays the truncated string value. wsbuglink:20392[].
* Wireshark crashes when clicking on a column title/header. wsbuglink:20403[].

Wireshark 4.4.4 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.4.html[release notes]
for details:

* wssalink:2025-01[]
Bundle Protocol and CBOR dissector {crash,infinite loop,memory leak}.
wsbuglink:20373[].

* Crash when sorting columns during capture with display filter active. wsbuglink:20263[].
* OSS-Fuzz 384757274: Invalid-bool-value in dissect_tcp. wsbuglink:20300[].
* Test failure in 4.4.2/4.4.3: test_sharkd_req_follow_http2. wsbuglink:20330[].
* Regression in extcap interface toolbar. wsbuglink:20354[].
* Clicking outside columns in TCP tab of Statistics -> Conversations window causes crash. wsbuglink:20357[].
* FTBFS with Ubuntu development (25.04) release. wsbuglink:20359[].
* DNS enable_qname_stats crash Wireshark when QDCOUNT == 0. wsbuglink:20367[].
* Windows: Android extcap plugin fails with "Broken socket connection" if there are no new packets for 2sec. wsbuglink:20386[].
* TECMP: Calculation of lifecycle start in Status message is wrong. wsbuglink:20387[].
* MQTT v5.0 properties total length presentation is incorrect. wsbuglink:20389[].
* TShark doesn't resolve addresses in custom "hosts" files. wsbuglink:20391[].
* Incorrect JA4 fingerprint with empty ciphers. wsbuglink:20394[].

Wireshark 4.4.3 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.3.html[release notes]
for details:

* Potential mis-match in GSM MAP dissector for uncertainty radius and its filter key. wsbuglink:20247[].
* Macro eNodeB ID and Extended Macro eNodeB ID not decoded by User Location Information. wsbuglink:20276[].
* The NFSv2 Dissector appears to be swapping Character Special File and Directory in mode decoding. wsbuglink:20290[].
* CMake discovers Strawberry Perl's zlib DLL when it shouldn't. wsbuglink:20304[].
* VOIP Calls call flow displaying hours. wsbuglink:20311[].
* Fuzz job issue: fuzz-2024-12-26-7898.pcap. wsbuglink:20313[].
* sFlow: Incorrect length passed to header sample dissector. wsbuglink:20320[].
* wsutil: Should link against -lm due to missing fabs() when built with -fno-builtin. wsbuglink:20326[].

Wireshark 4.4.2 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.2.html[release notes]
for details:

* wssalink:2024-14[]
FiveCo RAP dissector infinite loop.
wsbuglink:20176[].

* wssalink:2024-15[]
ECMP dissector crash.
wsbuglink:20214[].

* CIP I/O is not detected by "enip" filter anymore. wsbuglink:19517[].
* Fuzz job issue: fuzz-2024-09-03-7550.pcap. wsbuglink:20041[].
* OSS-Fuzz 71476: wireshark:fuzzshark_ip_proto-udp: Index-out-of-bounds in DOFObjectID_Create_Unmarshal. wsbuglink:20065[].
* JA4_c hashes an empty field to e3b0c44298fc when it should be 000000000000. wsbuglink:20066[].
* Opening Wireshark 4.4.0 on macOS 15.0 disconnects iPhone Mirroring. wsbuglink:20082[].
* PTP analysis loses track of message associations in case of sequence number resets. wsbuglink:20099[].
* USB CCID: response packet in case SetParameters command is unsupported is flagged as malformed. wsbuglink:20107[].
* dumpcap crashes when run from TShark with a capture filter. wsbuglink:20108[].
* SRT dissector: The StreamID (SID) in the handshake extension is displayed without regarding the control characters and with NUL as terminating. wsbuglink:20113[].
* Ghost error message on POP3 packets. wsbuglink:20124[].
* Building against c-ares 1.34 fails. wsbuglink:20125[].
* D-Bus is not optional anymore. wsbuglink:20126[].
* macOS Intel DMGs aren't fully notarized. wsbuglink:20129[].
* Incorrect name for MLD Capabilities and Operations Present flag in dissection of MLD Capabilities for MLO wifi-7 capture. wsbuglink:20134[].
* CQL Malformed Packet v4 S -> C Type RESULT: Prepared[Malformed Packet] wsbuglink:20142[].
* Wi-Fi: 256 Block Ack (BA) is not parsed properly. wsbuglink:20156[].
* BACnet ReadPropertyMultiple request Maximum allowed recursion depth reached. wsbuglink:20159[].
* Statistics->I/O Graph crashes when using simple moving average. wsbuglink:20163[].
* HTTP2 body decompression fails on DATA with a single padded frame. wsbuglink:20167[].
* Compiler warning for ui/tap-rtp-common.c (ignoring return value) wsbuglink:20169[].
* SIP dissector bug due to "be-route" param in VIA header. wsbuglink:20173[].
* Coredump after trying to open 'Follow TCP stream' wsbuglink:20174[].
* Protobuf JSON mapping error. wsbuglink:20182[].
* Display filter "!stp.pvst.origvlan in { vlan.id }" causes a crash (Version 4.4.1) wsbuglink:20183[].
* Extcap plugins shipped with Wireshark Portable are not found in version 4.4.1. wsbuglink:20184[].
* IEEE 802.11be: Wrong regulatory info in HE Operation IE in Beacon frame. wsbuglink:20187[].
* Wireshark 4.4.1 does not decode RTCP packets. wsbuglink:20188[].
* Qt: Display filter sub-menu can only be opened on the triangle, not the full name. wsbuglink:20190[].
* Qt: Changing the display filter does not update the Conversations or Endpoints dialogs. wsbuglink:20191[].
* MODBUS Dissector bug. wsbuglink:20192[].
* Modbus dissector bug - Field Occurence and Layer Operator modbus.bitval field. wsbuglink:20193[].
* Wireshark crashes when a field is dragged  from packet details towards the find input. wsbuglink:20204[].
* Lua DissectorTable("") : set ("10,11") unexpected behavior in locales with comma as decimal separator. wsbuglink:20216[].

The TCP dissector no longer falls back to using the client port as a criterion for selecting a payload dissector when the server port does not select a payload dissector (except for port 20, active FTP).
This behavior can be changed using the "Client port dissectors" preference.

Display filters now correctly handle floating point conversion errors.

The Lua API now has better support for comma-separated ranges in different locales.


Wireshark 4.4.1 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.1.html[release notes]
for details:

* wssalink:2024-12[]
ITS dissector crash.
wsbuglink:20026[].

* wssalink:2024-13[]
AppleTalk and RELOAD Framing dissector crashes.
wsbuglink:20114[].

* Refresh interface during live-capture leads to corrupt interface handling. wsbuglink:11176[].
* Media type "application/octet-stream" registered for both Thread and UASIP. wsbuglink:14729[].
* Extcap toolbar stops working when new interface is added. wsbuglink:19854[].
* Decoding error ITS CPM version 2.1.1. wsbuglink:19886[].
* Build error in 4.3.0: sync_pipe_run_command_actual error: argument 2 is null but the corresponding size argument 3 value is 512004 [-Werror=nonnull] wsbuglink:19930[].
* html2text.py doesn't handle the `<sup>` tag. wsbuglink:20020[].
* Incorrect NetFlow v8 TOS AS aggregation dissection. wsbuglink:20021[].
* The Windows packages don't ship with the IP address plugin. wsbuglink:20030[].
* O_PATH is Linux-and-FreeBSD-specific. wsbuglink:20031[].
* Wireshark 4.4.0 doesn't install USBcap USBcapCMD.exe in the correct directory. wsbuglink:20040[].
* OER dissector is not considering the preamble if ASN.1 SEQUENCE definition includes extension marker but no OPTIONAL items. wsbuglink:20044[].
* Bluetooth classic L2CAP incorrect dissection with connectionless reception channel. wsbuglink:20047[].
* Profile auto switch filters : Grayed Display Filter Expression dialog box when opened from Configuration Profiles dialog box. wsbuglink:20049[].
* Wireshark 4.4.0 / macOS 14.6.1 wifi if monitor mode. wsbuglink:20051[].
* TECMP Data Type passes too much data to sub dissectors. wsbuglink:20052[].
* Wireshark and tshark 4.4.0 ignore extcap options specified on the command line. wsbuglink:20054[].
* Cannot open release notes due to incorrect path with duplicated directory components. wsbuglink:20055[].
* Unable to open "Release Notes" from the "Help" menu. wsbuglink:20056[].
* No capture interfaces if Wireshark is started from command line with certain paths. wsbuglink:20057[].
* Wireshark 4.4.0 extcap path change breaks third party extcap installers. wsbuglink:20069[].
* Fuzz job UTF-8 encoding issue: fuzz-2024-09-10-7618.pcap. wsbuglink:20071[].
* Unable to create larger files than 99 size units. wsbuglink:20079[].
* Opening Wireshark 4.4.0 on macOS 15.0 disconnects iPhone Mirroring. wsbuglink:20082[].
* PRP trailer not shown for L2 IEC 61850 GOOSE packets in 4.4.0 (was working in 4.2.7) wsbuglink:20088[].
* GUI lags because NetworkManager keeps turning 802.11 monitor mode off. wsbuglink:20090[].
* Error while getting Bluetooth application process id by <shell:ps -A | grep com.*android.bluetooth> wsbuglink:20100[].
* Fuzz job assertion: randpkt-2024-10-05-7200.pcap. wsbuglink:20110[].

Wireshark 4.4.0 included the following changes.
See the
https://www.wireshark.org/docs/relnotes/wireshark-4.4.0.html[release notes]
for details:

Many improvements and fixes to the graphing dialogs, including
I/O Graphs, Flow Graph / VoIP Calls, and TCP Stream Graphs.

Wireshark now supports automatic profile switching.
You can associate a display filter with a configuration profile, and when you open a capture file that matches the filter, Wireshark will automatically switch to that profile.

Support for Lua 5.3 and 5.4 has been added, and support for Lua 5.1 and 5.2 has been removed.
The Windows and macOS installers now ship with Lua 5.4.6.

Improved display filter support for value strings (optional string representations for numeric fields).

Display filter functions can be implemented as plugins, similar to protocol dissectors and file parsers.

Display filters can be translated to pcap filters using menu:Edit[Copy,Display filter as pcap filter] if each display filter field has a corresponding pcap filter equivalent.

Custom columns can be defined using any valid field expression, such as
display filter functions, packet slices, arithmetic calculations, logical tests,
raw byte addressing, and protocol layer modifiers.

Custom output fields for `tshark -e` can also be defined using any
valid field expression.

Wireshark can be built with the zlib-ng instead of zlib for compressed file support.
Zlib-ng is substantially faster than zlib.
The official Windows and macOS packages include this feature.

== Getting Wireshark

Wireshark source code and installation packages are available from
https://www.wireshark.org/download.html.

=== Vendor-supplied Packages

Most Linux and Unix vendors supply their own Wireshark packages.
You can usually install or upgrade Wireshark using the package management system specific to that platform.
A list of third-party packages can be found on the
https://www.wireshark.org/download.html[download page]
on the Wireshark web site.

== File Locations

Wireshark and TShark look in several different locations for preference files, plugins, SNMP MIBS, and RADIUS dictionaries.
These locations vary from platform to platform.
You can use menu:Help[About Wireshark,Folders] or `tshark -G folders` to find the default locations on your system.

== Getting Help

The User’s Guide, manual pages and various other documentation can be found at
https://www.wireshark.org/docs/

Community support is available on
https://ask.wireshark.org/[Wireshark’s Q&A site]
and on the wireshark-users mailing list.
Subscription information and archives for all of Wireshark’s mailing lists can be found on https://lists.wireshark.org/lists/[the mailing list site].

Bugs and feature requests can be reported on
https://gitlab.com/wireshark/wireshark/-/issues[the issue tracker].

You can learn protocol analysis and meet Wireshark’s developers at
https://sharkfest.wireshark.org[SharkFest].

Official Wireshark training and certification are available from
https://www.wireshark.org/certifications[the Wireshark Foundation].

== Getting Certified

You can become a Wireshark Certified Analyst!
Learn more at https://www.wireshark.org/certifications

== How You Can Help

The Wireshark Foundation helps as many people as possible understand their networks as much as possible.
You can find out more and donate at https://wiresharkfoundation.org[wiresharkfoundation.org].

== Frequently Asked Questions

A complete FAQ is available on the
https://www.wireshark.org/faq.html[Wireshark web site].
